{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "archived?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "archived",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "archived",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "createDate",
      "externalType" : "datetime",
      "name" : "createDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "fireDatetime",
      "externalType" : "datetime",
      "name" : "fireDatetime",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "fired_date",
        "includeInResource" : "Y"
      },
      "columnName" : "firedDatetime",
      "externalType" : "datetime",
      "name" : "firedDatetime",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "default_for_user?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "isDefaultForUserFlag",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isDefaultForUserFlag",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "relative?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "isRelativeFlag",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isRelativeFlag",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "measure",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "measurement",
      "purpose" : "A numeric quantity using ``unit`` as the unit of measure.",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "modifyDate",
      "externalType" : "datetime",
      "name" : "modifyDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "name" : "reminderID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashType" : ":plist",
        "includeInResource" : "Y"
      },
      "columnName" : "reminderSettings",
      "externalType" : "object",
      "name" : "reminderSettings",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSData"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "taskID",
      "externalType" : "longlong",
      "name" : "taskID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "timeblockID",
      "externalType" : "longlong",
      "name" : "timeblockID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "type",
        "ashType" : "Daylite.Activities.Reminder.Type",
        "includeInResource" : "Y"
      },
      "columnName" : "typeCode",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "typeCode",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : "Daylite.Activities.Reminder.Unit",
        "includeInResource" : "Y"
      },
      "columnName" : "unit",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "unit",
      "purpose" : "The unit of measure for interpreting the reminder.",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "userID",
      "externalType" : "longlong",
      "name" : "userID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "ash" : {
        "ashName" : "active?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "active",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "active",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    }
  ],
  "className" : "GWReminder",
  "classProperties" : [
    "archived",
    "createDate",
    "fireDatetime",
    "firedDatetime",
    "isDefaultForUserFlag",
    "isRelativeFlag",
    "measurement",
    "modifyDate",
    "reminderID",
    "reminderSettings",
    "taskID",
    "timeblockID",
    "typeCode",
    "unit",
    "userID",
    "active",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "owner",
    "task",
    "timeblock"
  ],
  "domain" : "Activities",
  "enums" : [
    {
      "addedInModelVersion" : 1,
      "items" : [
        {
          "addedInModelVersion" : 1001,
          "name" : "Minutes",
          "value" : 0
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Hours",
          "value" : 1
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Days",
          "value" : 2
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "MinutesAfter",
          "value" : 3
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "HoursAfter",
          "value" : 4
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "DaysAfter",
          "value" : 5
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "OnDateTime",
          "value" : 6
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "TaskSameDay",
          "value" : 7
        }
      ],
      "name" : "ReminderUnit",
      "type" : 1
    },
    {
      "addedInModelVersion" : 1,
      "items" : [
        {
          "addedInModelVersion" : 1001,
          "name" : "Unknown",
          "purpose" : "Not part of original `GWReminderDayliteReminderType` enum, but required to satisify the default column value.",
          "value" : 0
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Display",
          "value" : 1
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Email",
          "value" : 2
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "Sound",
          "value" : 3
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "RunScript",
          "value" : 4
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "OpenFile",
          "value" : 5
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "SpeakText",
          "value" : 6
        },
        {
          "addedInModelVersion" : 1001,
          "name" : "DisplayNote",
          "value" : 7
        }
      ],
      "name" : "ReminderType",
      "type" : 1
    }
  ],
  "externalName" : "Reminder",
  "isDatabasePreference" : false,
  "isTrashable" : true,
  "name" : "Reminder",
  "primaryKeyAttributes" : [
    "reminderID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "isDirectlyUpdatable" : "Y"
  },
  "relationships" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "User",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "owner",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Task",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "taskID",
          "sourceAttribute" : "taskID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "task",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Timeblock",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "timeblockID",
          "sourceAttribute" : "timeblockID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "timeblock",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    }
  ],
  "supportedPlatforms" : "MCPSupportedPlatformsAll",
  "supportsPermissions" : false,
  "uniqueIdentifier" : "89"
}